#include "config.h"

#include <cache/cache.h>
#include <cache/cache_filter.h>

#include "vcc_etag_if.h"
#include "vfp_etag.h"

int
vmod_event_function(VRT_CTX, struct vmod_priv *priv, enum vcl_event_e e)
{
	switch (e) {
	case VCL_EVENT_LOAD:
		VRT_AddVFP(ctx, &VFP_etag);
		break;
	case VCL_EVENT_DISCARD:
		VRT_RemoveVFP(ctx, &VFP_etag);
		break;
	default:
		break;
	}

	return (0);
}
